import React, { FC } from 'react';
import { GestureResponderEvent, StyleProp, ViewStyle } from 'react-native';
import { ListItemProps } from '@procyon/components/ListItem';
export type ListData = {
    id: number | string;
    label?: string;
};
export type ListProps<Items extends ListData[]> = {
    Item?: FC<ListItemProps<Items[0] | ListData>>;
    color?: 'primary' | 'secondary' | 'positive' | 'negative';
    compact?: boolean;
    data?: Items;
    getLabel?: (items: Items[0]) => string;
    mode?: 'view';
    onClick?: (event: GestureResponderEvent, id: ListData['id']) => void;
    selected?: ListData['id'];
    size?: 'sm' | 'md' | 'lg' | 'xl';
    style?: {
        container?: StyleProp<ViewStyle>;
        list?: StyleProp<ViewStyle>;
    };
};
export declare const List: <Items extends ListData[]>({ style, data, selected, getLabel, Item, mode, ...props }: ListProps<Items>) => React.JSX.Element;
