import React, { ReactNode } from 'react';
import { GestureResponderEvent, StyleProp, View, ViewProps } from 'react-native';
import { ListData } from '@procyon/components/List';
type CommonProps<Item extends ListData> = {
    children: ReactNode;
    color?: 'primary' | 'secondary' | 'positive' | 'negative';
    compact?: boolean;
    item: Item;
    selected?: boolean;
    size?: 'sm' | 'md' | 'lg' | 'xl';
    style?: {
        container?: StyleProp<ViewProps>;
    };
};
type OnClick = (event: GestureResponderEvent, id: ListData['id']) => void;
export type ListItemProps<Item extends ListData> = ({
    mode: 'view';
    onClick?: OnClick;
} & CommonProps<Item>) | ({
    mode: undefined;
    onClick: OnClick;
} & CommonProps<Item>);
export declare const ListItem: <Item extends ListData>({ style, size, mode, onClick, children, color, selected, item, }: ListItemProps<Item>) => React.JSX.Element;
export declare const ListItemView: import("@emotion/native").StyledComponent<ViewProps & {
    theme?: import("@emotion/react").Theme | undefined;
    as?: React.ElementType<any, keyof React.JSX.IntrinsicElements> | undefined;
}, {}, {
    ref?: React.Ref<View> | undefined;
}>;
export declare const ListItemText: import("@emotion/native").StyledComponent<import("react-native").TextProps & {
    theme?: import("@emotion/react").Theme | undefined;
    as?: React.ElementType<any, keyof React.JSX.IntrinsicElements> | undefined;
} & {
    color?: ListItemProps<any>['color'];
    size?: ListItemProps<any>['size'];
}, {}, {
    ref?: React.Ref<import("react-native").Text> | undefined;
}>;
export {};
