import React, { FC } from 'react';
import { ListData, ListProps } from '@procyon/components/List';
import { InputElementType } from '@procyon/types/form';
import { TextFieldProps } from './TextField';
export type ItemWithLabel = {
    id: ListData['id'];
    label: string;
};
export type ItemWithoutLabel = {
    id: ListData['id'];
};
type GetLabel<Item> = {
    getLabel: (item: Item) => string;
};
export type SelectboxProps<Items extends ItemWithLabel[] | ItemWithoutLabel[]> = {
    Input?: FC<TextFieldProps & {
        data: Items;
    }>;
    Item?: ListProps<Items>['Item'];
    clearable?: boolean;
    data?: Items;
} & InputElementType<string | number> & (Items extends ItemWithLabel[] ? Partial<GetLabel<Items[0]>> : GetLabel<Items[0]>);
export declare const Selectbox: <Items extends ListData[]>(props: SelectboxProps<Items>) => React.JSX.Element;
export {};
